## LassoLibAuthenticationStatement

LassoLibAuthenticationStatement — <lib:AuthenticationStatement>

## Functions

LassoLibAuthenticationStatement * | lasso_lib_authentication_statement_new ()
LassoLibAuthenticationStatement * | lasso_lib_authentication_statement_new_full ()

## Types and Values

struct | LassoLibAuthenticationStatement

## Description

Figure 2. Schema fragment for lib:AuthenticationStatement

    <xs:element name="AuthenticationStatement" type="AuthenticationStatementType"
      substitutionGroup="saml:Statement"/>
    <xs:complexType name="AuthenticationStatementType">
      <xs:complexContent>
        <xs:extension base="saml:AuthenticationStatementType">
          <xs:sequence>
            <xs:element ref="AuthnContext" minOccurs="0"/>
          </xs:sequence>
          <xs:attribute name="ReauthenticateOnOrAfter" type="xs:dateTime" use="optional"/>
          <xs:attribute name="SessionIndex" type="xs:string" use="required"/>
        </xs:extension>
      </xs:complexContent>
    </xs:complexType>

## Functions

### lasso_lib_authentication_statement_new ()

    LassoLibAuthenticationStatement *
    lasso_lib_authentication_statement_new
                                   (void);

Creates a new LassoLibAuthenticationStatement object.

#### Returns

a newly created LassoLibAuthenticationStatement object

### lasso_lib_authentication_statement_new_full ()

    LassoLibAuthenticationStatement *
    lasso_lib_authentication_statement_new_full
                                   (const char *authenticationMethod,
                                    const char *authenticationInstant,
                                    const char *reauthenticateOnOrAfter,
                                    LassoSamlNameIdentifier *sp_identifier,
                                    LassoSamlNameIdentifier *idp_identifier);

Creates a new LassoLibAuthenticationStatement object and initializes its subject, its AuthenticationMethod, its AuthenticationInstant,

#### Parameters

authenticationMethod | an URI identifier for the authentication method |
authenticationInstant | an ISO-8601 formatted timestamp for the authentication instant. | [allow-none]
reauthenticateOnOrAfter | an ISO-8601 formatted timestamp to set a limit on the value of this authentication. | [allow-none]
sp_identifier | (allow-none) a LassoSamlNameIdentifier object, the SP qualifier for the subject of this statement |
idp_identifier | a LassoSamlNameIdentifier object, the IdP qualifier for the subject of this statemtn |

#### Returns

a newly created LassoLibAuthenticationStatement object

## Types and Values

### struct LassoLibAuthenticationStatement

    struct LassoLibAuthenticationStatement {
    	LassoSamlAuthenticationStatement parent;

    	/* <xs:element ref="AuthnContext" minOccurs="0"/> */
    	LassoLibAuthnContext *AuthnContext;
    	/* <xs:attribute name="ReauthenticateOnOrAfter" type="xs:dateTime" use="optional"/> */
    	char *ReauthenticateOnOrAfter;
    	/* <xs:attribute name="SessionIndex" type="xs:string" use="required"/> */
    	char *SessionIndex;
    };